require 'httparty'
require 'pry'
require 'json'

module NorthPoleWrapper
  def self.console
    binding.pry
  end

  API_KEY = 'guest@northpole.ro'
  SECRET = 'guest'

  class Resource
    include HTTParty

    base_uri 'northpole.ro'
    # base_uri 'localhost:3000'
  
    def self.create h
      post("/#{klass}.json", { :body => h.to_json } )
    end
  
    def self.find h
      get("/#{klass}.json", { :query => h } )
    end

    def self.update h
      put("/#{klass}.json", { :body => h.to_json } )
    end
  
    def self.destroy h
      delete("/#{klass}.json", { :query => h } )
    end

    def self.klass
      to_s.downcase.split(':').last
    end
  end
  
  class Storage < Resource
  end
  
  class User < Resource
  end
end
